Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatBoostStatus

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatBoostStatus

Enclosing class:
  TdApi

public static final class TdApi.ChatBoostStatus extends TdApi.Object
Describes current boost status of a chat.

## Field Summary

Fields
Modifier and Type
Field
Description
`int[]`
`appliedSlotIds`
Identifiers of boost slots of the current user applied to the chat.
`int`
`boostCount`
The number of boosts received by the chat.
`String`
`boostUrl`
An HTTP URL, which can be used to boost the chat.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`currentLevelBoostCount`
The number of boosts added to reach the current level.
`int`
`giftCodeBoostCount`
The number of boosts received by the chat from created Telegram Premium gift codes and giveaways; always 0 if the current user isn't an administrator in the chat.
`int`
`level`
Current boost level of the chat.
`int`
`nextLevelBoostCount`
The number of boosts needed to reach the next level; 0 if the next level isn't available.
`int`
`premiumMemberCount`
Approximate number of Telegram Premium subscribers joined the chat; always 0 if the current user isn't an administrator in the chat.
`double`
`premiumMemberPercentage`
A percentage of Telegram Premium subscribers joined the chat; always 0 if the current user isn't an administrator in the chat.
`TdApi.PrepaidPremiumGiveaway[]`
`prepaidGiveaways`
The list of prepaid giveaways available for the chat; only for chat administrators.

## Constructor Summary

Constructors
Constructor
Description
`ChatBoostStatus()`
Describes current boost status of a chat.
`ChatBoostStatus(DataInput input)`
Describes current boost status of a chat.
`ChatBoostStatus(String boostUrl, int[] appliedSlotIds, int level, int giftCodeBoostCount, int boostCount, int currentLevelBoostCount, int nextLevelBoostCount, int premiumMemberCount, double premiumMemberPercentage, TdApi.PrepaidPremiumGiveaway[] prepaidGiveaways)`
Describes current boost status of a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### boostUrl

public String boostUrl
An HTTP URL, which can be used to boost the chat.

### appliedSlotIds

public int[] appliedSlotIds
Identifiers of boost slots of the current user applied to the chat.

### level

public int level
Current boost level of the chat.

### giftCodeBoostCount

public int giftCodeBoostCount
The number of boosts received by the chat from created Telegram Premium gift codes and giveaways; always 0 if the current user isn't an administrator in the chat.

### boostCount

public int boostCount
The number of boosts received by the chat.

### currentLevelBoostCount

public int currentLevelBoostCount
The number of boosts added to reach the current level.

### nextLevelBoostCount

public int nextLevelBoostCount
The number of boosts needed to reach the next level; 0 if the next level isn't available.

### premiumMemberCount

public int premiumMemberCount
Approximate number of Telegram Premium subscribers joined the chat; always 0 if the current user isn't an administrator in the chat.

### premiumMemberPercentage

public double premiumMemberPercentage
A percentage of Telegram Premium subscribers joined the chat; always 0 if the current user isn't an administrator in the chat.

### prepaidGiveaways

public TdApi.PrepaidPremiumGiveaway[] prepaidGiveaways
The list of prepaid giveaways available for the chat; only for chat administrators.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatBoostStatus

public ChatBoostStatus()
Describes current boost status of a chat.

### ChatBoostStatus

public ChatBoostStatus(String boostUrl, int[] appliedSlotIds, int level, int giftCodeBoostCount, int boostCount, int currentLevelBoostCount, int nextLevelBoostCount, int premiumMemberCount, double premiumMemberPercentage, TdApi.PrepaidPremiumGiveaway[] prepaidGiveaways)
Describes current boost status of a chat.

Parameters:
  `boostUrl` - An HTTP URL, which can be used to boost the chat.
  `appliedSlotIds` - Identifiers of boost slots of the current user applied to the chat.
  `level` - Current boost level of the chat.
  `giftCodeBoostCount` - The number of boosts received by the chat from created Telegram Premium gift codes and giveaways; always 0 if the current user isn't an administrator in the chat.
  `boostCount` - The number of boosts received by the chat.
  `currentLevelBoostCount` - The number of boosts added to reach the current level.
  `nextLevelBoostCount` - The number of boosts needed to reach the next level; 0 if the next level isn't available.
  `premiumMemberCount` - Approximate number of Telegram Premium subscribers joined the chat; always 0 if the current user isn't an administrator in the chat.
  `premiumMemberPercentage` - A percentage of Telegram Premium subscribers joined the chat; always 0 if the current user isn't an administrator in the chat.
  `prepaidGiveaways` - The list of prepaid giveaways available for the chat; only for chat administrators.

### ChatBoostStatus

public ChatBoostStatus(DataInput input) throws IOException
Describes current boost status of a chat.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`